Update
curl --request PATCH \
--url https://api.paygentic.io/v0/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>"
},
"dateOfBirth": "2023-12-25",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
}
'import requests
url = "https://api.paygentic.io/v0/users/{id}"
payload = {
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>"
},
"dateOfBirth": "2023-12-25",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zipCode: '<string>'
},
dateOfBirth: '2023-12-25',
firstName: '<string>',
lastName: '<string>',
phone: '<string>'
})
};
fetch('https://api.paygentic.io/v0/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "usr_c1d2e3f4g5h6i7j8",
"object": "user",
"address": {
"city": "New York",
"country": "US",
"line1": "321 Corporate Drive",
"state": "NY",
"zipCode": "10001"
},
"createdAt": "2024-01-05T08:00:00Z",
"dateOfBirth": null,
"email": "alice@techcorp.com",
"firstName": "Alice",
"lastName": "Williams",
"organizations": [
{
"id": "org_k9l0m1n2o3p4q5r6",
"state": "active"
}
],
"oryId": "ory_user_ghi789",
"phone": "+1-555-987-6543",
"type": "COMPANY",
"updatedAt": "2024-03-15T11:30:00Z"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Users
Update
PATCH
/
v0
/
users
/
{id}
Update
Authorizations
API key authentication
Path Parameters
Unique identifier for a user
Pattern:
^usr_[a-zA-Z0-9]+$Body
application/json
The address of the user.
Show child attributes
Show child attributes
The date of birth of the user.
The first name of the user.
The last name of the user.
The phone number of the user.
Type of entity the user represents.
Available options:
COMPANY, INDIVIDUAL Response
User updated successfully
Unique identifier for a user
Pattern:
^usr_[a-zA-Z0-9]+$Available options:
user Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
COMPANY, INDIVIDUAL Was this page helpful?
⌘I